OpenVDB 13.0.0

Loading...
Searching...
No Matches
TypeToSymbol< T > Struct Template Reference

Type to symbol conversions - these characters are used to build each functions unique signature. They differ from standard AX or LLVM syntax to be as short as possible i.e. vec4d, [4 x double] = d4. More...

`#include <openvdb_ax/codegen/FunctionTypes.h>`

Inheritance diagram for TypeToSymbol< T >:

## Static Public Member Functions
static std::string | s ()

## Detailed Description

template<typename T>
struct openvdb::v13_0::ax::codegen::TypeToSymbol< T >

Type to symbol conversions - these characters are used to build each functions unique signature. They differ from standard AX or LLVM syntax to be as short as possible i.e. vec4d, [4 x double] = d4.

## Member Function Documentation

## ◆ s()

template<typename T>

std::string s | ( |  | ) |
| inline static